org.springframework.data.repository

## Interface PagingAndSortingRepository<T,ID>

All Superinterfaces:
  CrudRepository<T,ID>, Repository<T,ID>

    @NoRepositoryBean
    public interface PagingAndSortingRepository<T,ID>
    extends CrudRepository<T,ID>

Extension of `CrudRepository` to provide additional methods to retrieve entities using the pagination and sorting abstraction.

Author:
  Oliver Gierke
See Also:
  `Sort`, `Pageable`, `Page`

### Method Summary

All Methods Instance Methods Abstract Methods
`Page<T>` `findAll(Pageable pageable)` Returns a `Page` of entities meeting the paging restriction provided in the `Pageable` object.
`Iterable<T>` `findAll(Sort sort)` Returns all entities sorted by the given options.

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteById, existsById, findAll, findAllById, findById, save, saveAll`

### Method Detail

#### findAll

    Iterable<T> findAll(Sort sort)

Returns all entities sorted by the given options.

Parameters:
  `sort` -
Returns:
  all entities sorted by the given options

#### findAll

    Page<T> findAll(Pageable pageable)

Returns a `Page` of entities meeting the paging restriction provided in the `Pageable` object.

Parameters:
  `pageable` -
Returns:
  a page of entities